﻿<%@ PAGE EnableSessionState="True" title="" language="C#" masterpagefile="~/Site.master" autoeventwireup="true"
    inherits="ASLReports.Campaign" codebehind="Campaign.aspx.cs" %>

<ASP:CONTENT id="Content2" contentplaceholderid="MainContent" runat="Server">
    <script src="include/ContextMenu.js" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/treeFrame.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-1.8.18.custom.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-timepicker-addon.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-sliderAccess.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/date.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/popup.js") %>" type="text/javascript"></script>
    <script src="include/grid.locale-en.js" type="text/javascript"></script>
    <script src="include/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="include/json2-min.js" type="text/javascript"></script>
    <script language="javascript">
        $(document).ready(function () {
            HideAutoLogin();
            document.getElementById("IDtblMaster").style.width = $(window).width() - 4 + 'px';
            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
            document.getElementById("IDtrParent").style.height = $("#IDtblMaster").height() + 'px';
            
            $("#<%=txtDateStart.ClientID %>").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var endDateTextBox = $("#<%=txtDateEnd.ClientID %>");
                    if (endDateTextBox.val() != '') {
                        var testStartDate = new Date(dateText);
                        var testEndDate = new Date(endDateTextBox.val());
                        if (testStartDate > testEndDate)
                            endDateTextBox.val(dateText);
                    }
                    else {
                        endDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var start = $(this).datepicker('getDate');
                    $("#<%=txtDateEnd.ClientID %>").datepicker('option', 'minDate', new Date(start.getTime()));
                }
            });
            $("#<%=txtDateEnd.ClientID %>").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var startDateTextBox = $("#<%=txtDateStart.ClientID %>");
                    if (startDateTextBox.val() != '') {
                        var testStartDate = new Date(startDateTextBox.val());
                        var testEndDate = new Date(dateText);
                        if (testStartDate > testEndDate)
                            startDateTextBox.val(dateText);
                    }
                    else {
                        startDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var end = $(this).datepicker('getDate');
                    $("#<%=txtDateStart.ClientID %>").datepicker('option', 'maxDate', new Date(end.getTime()));
                },
                beforeShow: function () {
                    var d = $("#<%= txtDateStart.ClientID %>").datepicker('getDate');
                    if (d) return { minDate: d };
                }
            });

            var option = '';
            for (var i = 1; i < 100; i++) {
                option += '<option value="' + i + '">' + i + '</option>';
            }
            $('#DisplayOrder').append(option);
            //------------------------Load Survey to edit------------------------------------------------------------------
            var qs = getQuerystring('SurveyID');
            if (qs == null)
                return true;
            var surveyID = qs[1];
            var params = new Object();
            params.surveyID = surveyID;

            $.ajax({ type: "POST",
                url: "PageFunctions.aspx/GetSurveyInfo",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(params),  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: LoadSurvey,
                error: FailedSurvey
            });
            //--------------------Load Survey Questions List----------------------------------------------------------------
            var qs = getQuerystring('SurveyID');
            if (qs == null)
                return true;
            
            params = new Object();
            params.surveyID = surveyID;

            $.ajax({ type: "POST",
                url: "PageFunctions.aspx/GetSurveyQuestionsInfo",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(params),  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: LoadSurveyQuestions,
                error: FailedSurvey
            });
            return true;
        });
        

        
        function getQuerystring(key)
        {
             var regex = new RegExp("[\\?&]"+key+"=([^&#]*)");
             return regex.exec(window.location.href);
        }
        function formatJsonDate(jsonDate) {
            var pattern = /Date\(([^)]+)\)/;
            var results = pattern.exec(jsonDate);
            var dt = new Date(parseFloat(results[1]));
            return dt.getFullYear() + "-" + (dt.getMonth() + 1) + "-" + dt.getDate();
        };

        function LoadSurvey(results) {
            try {
                var obj = $.parseJSON(results.d);
                $.each(obj, function () {
                    var isShared = this["IsShared"];
                    var isActiveOnExpiry = this["IsActiveOnExpiry"];
                    
                    $("#QAFormID").val(this["ID"]);
                    $("#<%= txtCompaign.ClientID %>").val(this["Title"]);
                    $("#<%= txtDateStart.ClientID %>").val(formatJsonDate(this["StartOn"]));
                    $("#<%= txtDateEnd.ClientID %>").val(formatJsonDate(this["ExpireOn"]));
                    
                    if (isActiveOnExpiry)
                        $("#<%= chkActiveAfterDate.ClientID %>").prop("checked", true);
                    
                    if (isShared)
                        $("#<%= chkShared.ClientID %>").prop("checked", true);
                    
                    $("#SaveEvaluationFormId").val("Update Form");
                    document.getElementById('divQuestions').style.visibility = 'visible';
                });
            } catch (e) {
                alert("LoadSurvey JSON parsing Error.");
            }
        }
        
        function LoadSurveyQuestions(results) {
            try {
                var obj = $.parseJSON(results.d);
                $.each(obj, function () {
                    var qeustiontype = "Single Selection";
                    if(this["QuestionType"] == 2)
                        qeustiontype = "Multiple Selection";

                    var newrow = $("<tr id='" + this["ID"] + "'></tr>");

                    $("#GridQuestion tr:last").closest('tr').after(newrow);
                    $(newrow).append('<td style="width: 0px; display:none;">' + this["ID"] + '</td><td>' + this["DisplayOrder"] + '</td><td>' + this["Question"] + '</td><td>' + qeustiontype + '</td><td style="width: 0px; display:none;" >' + this['bCommentsField'] + '</td><td>' + this["OptionsCount"] + '</td><td style="padding-left:10px;"><img src="./Images/delete.gif" onclick="return DelQuestion(this, ' + this["ID"] + ');"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="./Images/modify.png" onclick="return EditQuestion(this, ' + this["ID"] + ');"/></td>');
                });
                document.getElementById('SaveQuestionsDiv').style.visibility = 'visible';
            } catch (e) {
                alert("LoadSurvey JSON parsing Error.");
            }
        }
        
        
        function FailedSurvey(result) {
            alert(result.status + ' ' + result.statusText);
        }
        
        function SaveEvaluationForm() {
            var params = new Object();
            var txtCompaign = $("#<%= txtCompaign.ClientID %>").val(); //document.getElementById("txtCompaign").value;
            if (txtCompaign == "") {
                alert("Name of QA Campaign is required.");
                $("#<%= txtCompaign.ClientID %>").focus();
                return false;
            }
            txtCompaign = txtCompaign.replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, ' ');
            params.txtCompaign = txtCompaign;
            if ($("#<%= txtDateStart.ClientID %>").val() == "") {
                alert("Start Date of QA Campaign is required.");
                $("#<%= txtDateStart.ClientID %>").focus();
                return false;
            }
            params.StartDate = $("#<%= txtDateStart.ClientID %>").val();
            if ($("#<%= txtDateEnd.ClientID %>").val() == "") {
                alert("End Date of QA Campaign is required.");
                $("#<%= txtDateEnd.ClientID %>").focus();
                return false;
            }
            params.EndDate = $("#<%= txtDateEnd.ClientID %>").val();
            var chkActiveAfterDate = "0";
            if ($("#<%= chkActiveAfterDate.ClientID %>").is(':checked')) chkActiveAfterDate = "1";
            params.chkActiveAfterDate = chkActiveAfterDate;
            var isShared = "0";
            if ($("#<%= chkShared.ClientID %>").is(':checked')) isShared = "1";
            params.isShared = isShared;
            params.surveyID = $("#QAFormID").val();
                $.ajax({
                    url: "PageFunctions.aspx/SaveEvaluationForm",
                    data: JSON.stringify(params),  // For empty input data use "{}",
                    dataType: "json",
                    type: "POST",
                    serializeGridData: function(postData) {
                        return JSON.stringify(postData);
                    },
                    contentType: "application/json; charset=utf-8",
                    success: function(result) {
                        if ($.isNumeric(result.d) && result.d > 0) {
                            $("#QAFormID").val(result.d);
                            $("#SaveEvaluationFormId").val("Update Form");
                            document.getElementById('divQuestions').style.visibility = 'visible';   
                        } else {
                            alert("Unable to create QA Evaluation form in database");
                        }
                    },
                    error: function(result) { alert(result.statusText); }
                });
                
            return true;
        }

        function SaveEvaluationFormQuestion() {
            if ($("#QAFormID").val() == 0) {
                alert("Please save QA Evaluation form before saving question.");
                $("#QAFormID").focus();
                return false;
            }
            
            var params = new Object();
            var Question = $("#<%= qeustionId.ClientID %>").val(); //document.getElementById("txtCompaign").value;
            if (Question == "") {
                alert("Question field is required.");
                $("#<%= qeustionId.ClientID %>").focus();
                return false;
            }
            Question = Question.replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, ' ');
            params.Question = Question;
            
            if ($("#QuestionType").val() == 0) {
                alert("Question type is required.");
                $("#QuestionType").focus();
                return false;
            }
            params.QuestionType = $("#QuestionType").val();
            params.DisplayOrder = $("#DisplayOrder").val();
            
            var bCommentsField = "0";
            if ($("#CommentsField").is(':checked')) bCommentsField = "1";
            params.bCommentsField = bCommentsField;
            var options = [];
            var isTrue = true;
            $('input[id=OptionText]').each(function () {
                if ($(this).val() == "") {
                    alert("Option text is required.");
                    $(this).focus();
                    isTrue = false;
                    return false;
                }
                options.push(this.value);
            });
            if (isTrue == false)
                return false;
            
            isTrue = true;

            params.OptionText = options;
            
            var optionsRating = [];
            $('input[id=OptionRating]').each(function () {
                if ($(this).val() == "") {
                    alert("Option rating is required.");
                    $(this).focus();
                    isTrue = false;
                    return false;
                }
                optionsRating.push(this.value);
            });
            if (isTrue == false)
                return false;
            
            params.optionsRating = optionsRating;
            params.surveyID = $("#QAFormID").val();
            params.UpdateQID = $("#UpdateQID").val();

            $.ajax({
                url: "PageFunctions.aspx/SaveEvaluationQuestion",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        
                        if (params.UpdateQID == 0)
                            InstertQestionInGrid(result.d, options.length, bCommentsField);
                        else
                            UpdateQestionInGrid(result.d, options.length, bCommentsField);
                        
                        document.getElementById('SaveQuestionsDiv').style.visibility = 'visible';
                        $("#UpdateQID").val("");
                    } else {
                        alert("Unable to create QA Evaluation form in database");
                    }
                },
                error: function (result) { alert(result.statusText); }
            });
        }
        function SaveQestionQAForm() {
        }

        function ChangeOptionType() {
            if ($("#QuestionType").val() == 3 || $("#QuestionType").val() == 0) {
                document.getElementById('SingleSelectionTR').style.visibility = 'hidden';
            } else {
                document.getElementById('SingleSelectionTR').style.visibility = 'visible';
            }
        }

        function InstertQestionInGrid(questionID, QeustionCount, bCommentsField) {
            var qeustiontype = "Single Selection";
            if ($("#QuestionType").val() == 2)
                qeustiontype = "Multiple Selection";
            var newrow = $("<tr id='" + questionID + "'></tr>");
            
            $("#GridQuestion tr:last").closest('tr').after(newrow);
            $(newrow).append('<td style="width: 0px; display:none;">' + questionID + '</td><td>' + $("#DisplayOrder").val() + '</td><td>' + $("#<%= qeustionId.ClientID %>").val() + '</td><td>' + qeustiontype + '</td><td style="width: 0px; display:none;">' + bCommentsField + '</td><td>' + QeustionCount + '</td><td style="padding-left:10px;"><img src="./Images/delete.gif" onclick="return DelQuestion(this, ' + questionID + ');"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="./Images/modify.png" onclick="return EditQuestion(this, ' + questionID + ');"/></td>');
            $("#<%= qeustionId.ClientID %>").val("");
            $('input[id=OptionText]').each(function () {
                $(this).val("");
            });
            $('input[id=OptionRating]').each(function () {
                    $(this).val("");
            });
        }

        function UpdateQestionInGrid(questionID, QeustionCount, bCommentsField) {
            var counter = 0;
            $("#" + questionID).children("td").each(function () {
                switch (counter) {
                    case 0:
                        break;
                    case 1:
                        //$("#DisplayOrder").val($(this).html());
                        $(this).html($("#DisplayOrder").val());
                        break;
                    case 2:
                        $(this).html($("#<%= qeustionId.ClientID %>").val());
                        break;
                    case 3:
                        if($("#QuestionType").val() == 1)
                            $(this).html("Single Selection");
                        else
                            $(this).html("Multiple Selection");
                        break;
                    case 4:
                        if (bCommentsField == 1)
                            $(this).html("true");
                        break;
                    case 5:
                        $(this).html(QeustionCount);
                        break;
                }
                counter++;
            });
            $("#<%= qeustionId.ClientID %>").val("");
            $('input[id=OptionText]').each(function () {
                $(this).val("");
            });
            $('input[id=OptionRating]').each(function () {
                $(this).val("");
            });
        }
        function OnAddMoreOption() {
            var newrow = $("<tr></tr>");
            $("#tblQuestionOptionId tr:last").closest('tr').after(newrow);
            $(newrow).append('<td class="textcolor" align="right">Option Text:</td><td><input type="text" id="OptionText" class="textFieldMedium"/></td><td class="textcolor" align="right">Rating:</td><td><input type="text" id="OptionRating" class="textFieldMini" onkeypress="return ValidateNumber(event)"/></td><td><img src="./Images/delete.gif" onclick="DelOption(this);"/></td>');
        }

        function DelOption(theThis) {
            var rowCount = $('#tblQuestionOptionId tr').length;
            if (rowCount > 2)
                $(theThis).closest('tr').remove();
            else {
                alert("Each question must have aleast 2 options.");
            }
        }
        
        function EditQuestion(theThis, questionID) {
            var counter = 0;
            $("#" + questionID).children("td").each(function () {
                switch (counter) {
                    case 0:
                        $("#UpdateQID").val($(this).html());
                        break;
                    case 1:
                        $("#DisplayOrder").val($(this).html());
                        break;
                    case 2:
                        $("#<%= qeustionId.ClientID %>").val($(this).html());
                        break;
                    case 3:
                        if ($(this).html() == "Single Selection")
                            $("#QuestionType option[value='1'").attr("selected", "selected");
                        else
                            $("#QuestionType option[value='2'").attr("selected", "selected");
                        break;
                    case 4:
                        if ($(this).html() == "true")
                            $("#CommentsField").prop("checked", true);
                        break;
                }
                counter++;
            });

            var params = new Object();
            params.questionID = questionID;

            $.ajax({ type: "POST",
                url: "PageFunctions.aspx/GetOptionQuestionsInfo",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(params),  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: LoadQuestionOptions,
                error: FailedSurvey
            });

        }

        function LoadQuestionOptions(results) {
            try {
                var obj = $.parseJSON(results.d);
                var count = 0;
                var optionsRating = [];
                var optionsText = [];
                $.each(obj, function () {
                    optionsText.push(this["OptionText"]);
                    optionsRating.push(this["OptionRate"]);
                });

                $('input[id=OptionText]').each(function () {
                    if (count < optionsRating.length)
                        $(this).val(optionsText[count++]);
                    else
                        $(this).val("");
                });
                
                count = 0;
                $('input[id=OptionRating]').each(function () {
                    if (count < optionsRating.length)
                        $(this).val(optionsRating[count++]);
                    else
                        $(this).val("");
                });

                for (var i = count; i < optionsRating.length; i++) {
                    var newrow = $("<tr></tr>");
                    $("#tblQuestionOptionId tr:last").closest('tr').after(newrow);
                    $(newrow).append('<td class="textcolor" align="right">Option Text:</td><td><input type="text" id="OptionText" class="textFieldMedium" value="' + optionsText[i] + '"/></td><td class="textcolor" align="right">Rating:</td><td><input type="text" id="OptionRating" value="' + optionsRating[i] + '" class="textFieldMini" onkeypress="return ValidateNumber(event)"/></td><td><img src="./Images/delete.gif" onclick="DelOption(this);"/></td>');
                }
            } catch (e) {
                alert("Load Question Options JSON parsing Error.");
            }
        }
        function DelQuestion(theThis, Qid) 
        {
            if ($("#QAFormID").val() == 0) {
                alert("Please save QA Evaluation form before saving question.");
                $("#QAFormID").focus();
                return false;
            }
         
            var params = new Object();
            params.QuestionID = Qid;
            params.surveyID = $("#QAFormID").val();

            $.ajax({
                url: "PageFunctions.aspx/DeleteEvaluationQuestion",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        $(theThis).closest('tr').remove();
                        return false;
                    } else {
                        alert("Unable to delete question from databse.");
                    }
                },
                error: function (result) { alert(result.statusText); }
            });
            return true;
        }
        
        function ValidateNumber(e) {
            if (e.which < 46 || e.which > 59) {
                e.preventDefault();
            }
        }
    </script>
    <table class="main" cellpadding="0" cellspacing="0" border="0" id="table1" style="height: 100%; width: 100%;background-color: #F8F8F8;">
        <tr id="IDtrParent">
            <td class="leftCol" valign="top" id="tdLeftPanel" style="background-color:#FFF; height:100%; width: 250px;">
                <div id="leftSideMenu" style="background: #FFF;width: 100%;">
                    <ul class="MenuStyle"><li>Evaluation Menu</li></ul>
                    <ul>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evaluation.aspx">Calls under Evaluation</a><br /></li>                                  
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evalcompleted.aspx">Closed Evaluations</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="CampaignList.aspx">QA Campaign List</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Campaign.aspx" style="color:#800000;">New QA Campaign</a><br /></li>
                    </ul>
                </div>
            </td>
            <td id="IDRightPanel" style="vertical-align: top;border: solid 1px #7f9db9; height:100%; padding: 10px 50px 10px 20px;">
                    <input type="hidden" name="QAFormID" id="QAFormID" value=""/>
                    <table cellspacing="0" style="border-left: 1px solid #4297D7;border-right: 1px solid #4297D7;border-bottom: 1px solid #4297D7;">
                        <tr><td colspan="6" class="g-header">Create QA Campaign</td></tr>
                        <tr>
                            <td class="textcolor" align="right">Campaign Name:</td>
                            <td colspan="3"><asp:TextBox ID="txtCompaign" runat="server" CssClass="textField"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td class="textcolor" align="right">Start Date:</td>
                            <td><asp:TextBox ID="txtDateStart" runat="server" CssClass="textFieldSmall"></asp:TextBox></td>
                            <td class="textcolor">End Date:</td>
                            <td><asp:TextBox ID="txtDateEnd" runat="server" CssClass="textFieldSmall"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td><asp:Label ID="Label4" runat="server" CssClass="textcolor">&nbsp;</asp:Label></td>
                            <td colspan="2" class="textcolor"><asp:CheckBox ID="chkActiveAfterDate" runat="server" CssClass="SearchCheckboxCSS"></asp:CheckBox>Activate After End Date</td>
                            <td class="textcolor"><asp:CheckBox ID="chkShared" runat="server" CssClass="SearchCheckboxCSS"></asp:CheckBox>Is Shared?</td>
                        </tr>
                        <tr class="CSSBtnTR">
                            <td colspan="6" align="right" style="padding: 5px;">
                            <asp:Label ID="Label9" runat="server" CssClass="textcolor">&nbsp;</asp:Label>
                            <input type="button" id="SaveEvaluationFormId" onclick="SaveEvaluationForm();" value="Save Campaign" class="Wizard" />
                            </td>
                        </tr>
                    </table>                    
                <div id="divQuestions" style="margin-top: 10px; visibility: hidden;">
                    <table style="border-left: 1px solid #4297D7;border-right: 1px solid #4297D7;border-bottom: 1px solid #4297D7;" id="tblQuestionId" cellspacing="0">
                        <tr><td colspan="2" class="g-Question">Questions</td></tr>
                        <tr>
                            <td class="textcolor" align="right">Question Statement:</td>
                            <td ><asp:TextBox ID="qeustionId" TextMode="MultiLine" runat="server" CssClass="textArea"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td class="textcolor" align="right">Question Type:</td>
                            <td class="textcolor">
                                <select id="QuestionType" class="comboBoxQA">
                                    <option value="0">Question Type</option>
                                    <option value="1">Single Selection</option>
                                    <option value="2">Multiple Selection</option>
                                </select>&nbsp;&nbsp;&nbsp;&nbsp;Display Order:&nbsp;
                                <select id="DisplayOrder" class="Combobox"></select>
                                &nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" id="CommentsField" style="display: none" /><!--Comments are allowed?-->
                            </td>
                        </tr>
                        <tr id="SingleSelectionTR"><td></td><td style="padding-bottom: 5px; padding-right: 10px;">
                            <table id="tblQuestionOptionId" style="border: 1px solid blueviolet; padding: 5px;">
                                <tr>
                                    <td class="textcolor" align="right">Option Text:</td>
                                    <td><input type="text" id="OptionText" class="textFieldMedium"/></td>
                                    <td class="textcolor" align="right">Rating:</td>
                                    <td><input type="text" id="OptionRating" class="textFieldMini" onkeypress="return ValidateNumber(event)"/></td>
                                    <td><img src="./Images/delete.gif" onclick="DelOption(this);"/></td>
                                </tr>  
                                <tr>
                                    <td class="textcolor" align="right">Option Text:</td>
                                    <td><input type="text" id="OptionText" class="textFieldMedium"/></td>
                                    <td class="textcolor" align="right">Rating:</td>
                                    <td><input type="text" id="OptionRating" class="textFieldMini" onkeypress="return ValidateNumber(event)"/></td>
                                    <td><img src="./Images/delete.gif" onclick="DelOption(this);"/></td>
                                </tr>     
                            </table>
                        </td></tr>
                        <tr class="CSSBtnTR"><td colspan="6"  align="right" style="padding: 5px;"><input type="button" id="Button1" value="Save Question" class="Wizard" onclick="SaveEvaluationFormQuestion();"/><input type="button" id="Button2" value="+ Add More" class="Wizard" onclick="OnAddMoreOption();"/></td></tr>
                        <input type="hidden" value="" id="UpdateQID"/>
                    </table>
                </div>
                <br/>
                <div class="CSSTableGenerator" style=" visibility: hidden;" id="SaveQuestionsDiv">
                    <table width="95%" id="GridQuestion" >
                        <tr style="height: 30px;">
                            <td style="width: 0px; display:none;"></td>
                            <td style="width: 50px;">Disp. Order</td>
                            <td style="width: 350px;">Question</td>
                            <td style="width: 70px;">Type</td>
                            <td style="width: 0px; display:none;"></td>
                            <td style="width: 70px;">Options Count</td>
                            <td style="width: 50px;">Action</td>
                        </tr>
                    </table>
                </div>
            </td>            
        </tr>
    </table> 
</ASP:CONTENT>